VisualEditor: Create relocatable markers for complex shapes, e.g. block templates
Closed, ResolvedPublic

Description

Right now you can re-position an inline transclusion in the same way as images, with a click-drag feature. Unfortunately this isn't set for block transclusions.

This is particularly irritating for suers because when you initially insert a transclusion we assume it's inline, so let them move it, but then when they re-open the page it's now magically un-moveable.


Version: unspecified
Severity: minor

bzimport set Reference to bz62006.
Jdforrester-WMF created this task.Via LegacyFeb 27 2014, 5:22 PM
Esanders added a comment.Via ConduitFeb 28 2014, 4:43 PM

Relocatable doesn't work on block elements atm. We have it enabled for block images, but it breaks.

Esanders added a comment.Via ConduitFeb 28 2014, 4:45 PM

Disable on block images for now: https://gerrit.wikimedia.org/r/#/c/116118/

Esanders added a comment.Via ConduitFeb 28 2014, 5:08 PM

Abandoned that, the test case I was using appears to be an edge case, it actually works ok.

Esanders added a comment.Via ConduitFeb 28 2014, 6:14 PM

The problem here is not block templates, but that the CE HTML is <div wrapper><table float:right/></div>, and the relocatable marker takes it's dimensions from the <div> (which has no height).

In ProtectedNode we solve this by drawing boxes around _every_ descendent. Ideally we'll come up with a better solution before we start add drag handlers to them.

Jdforrester-WMF added a comment.Via ConduitJul 9 2014, 7:42 PM

Was this fixed by the changes to GCNs?

Jdforrester-WMF added a comment.Via ConduitAug 21 2014, 7:44 PM

I'm declaring that it was.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.